Bug 187482 - pdftops uses wrong duplex setting, causing GS/evince/cusp to fail displaying/printing.
pdftops uses wrong duplex setting, causing GS/evince/cusp to fail displaying/...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: poppler (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-31 04:43 EST by Emmanuel Kowalski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-22 14:16:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test PDF file (contains the single word `test'). (4.80 KB, application/pdf)
2006-03-31 04:43 EST, Emmanuel Kowalski
no flags Details
GS error messages when trying to process PS file created from test.pdf by pdftops. (1.03 KB, text/plain)
2006-03-31 04:45 EST, Emmanuel Kowalski
no flags Details
Patch to pdftops.cc that solves the bug for me. (585 bytes, patch)
2006-03-31 04:46 EST, Emmanuel Kowalski
no flags Details | Diff

  None (edit)
Description Emmanuel Kowalski 2006-03-31 04:43:45 EST
Description of problem:
The program pdftops in poppler-0.5.1 sets the duplex option for printers
incorrectly, creating a PS that causes GhostScript to fail. This makes
the PS file unreadable via evince, and unprintable (at least on my printer).

Version-Release number of selected component (if applicable):
poppler-0.5.1
poppler-utils-0.5.1

How reproducible:
Always.

Steps to Reproduce:
1. Take a PDF file (see attachment below for a very simple one test.pdf)
2. pdftops test.pdf
3. gs test.ps
  
Actual results:
gs fails (see error message in attachment).

Expected results:
evince displays the PS file.

Additional info:
Looking into the source code, it seems that poppler-0.5.1/utils/pdftops.cc
does not give correctly the Duplex parameter to
poppler-0.5.1/poppler/PSOutputDev.cc, which causes the latter to be set to
True instead of False in the PS file which is generated.
A simple patch to pdftops.cc solves the problem (see attachment).
Comment 1 Emmanuel Kowalski 2006-03-31 04:43:46 EST
Created attachment 127117 [details]
Test PDF file (contains the single word `test').
Comment 2 Emmanuel Kowalski 2006-03-31 04:45:27 EST
Created attachment 127118 [details]
GS error messages when trying to process PS file created from test.pdf by pdftops.
Comment 3 Emmanuel Kowalski 2006-03-31 04:46:26 EST
Created attachment 127119 [details]
Patch to pdftops.cc that solves the bug for me.
Comment 4 Kristian Høgsberg 2006-09-22 14:16:34 EDT
Fixed in 0.5.4-1.fc6.

Note You need to log in before you can comment on or make changes to this bug.